import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { AssociateChannelFlowCommandInput, AssociateChannelFlowCommandOutput } from "../commands/AssociateChannelFlowCommand";
import { BatchCreateChannelMembershipCommandInput, BatchCreateChannelMembershipCommandOutput } from "../commands/BatchCreateChannelMembershipCommand";
import { ChannelFlowCallbackCommandInput, ChannelFlowCallbackCommandOutput } from "../commands/ChannelFlowCallbackCommand";
import { CreateChannelBanCommandInput, CreateChannelBanCommandOutput } from "../commands/CreateChannelBanCommand";
import { CreateChannelCommandInput, CreateChannelCommandOutput } from "../commands/CreateChannelCommand";
import { CreateChannelFlowCommandInput, CreateChannelFlowCommandOutput } from "../commands/CreateChannelFlowCommand";
import { CreateChannelMembershipCommandInput, CreateChannelMembershipCommandOutput } from "../commands/CreateChannelMembershipCommand";
import { CreateChannelModeratorCommandInput, CreateChannelModeratorCommandOutput } from "../commands/CreateChannelModeratorCommand";
import { DeleteChannelBanCommandInput, DeleteChannelBanCommandOutput } from "../commands/DeleteChannelBanCommand";
import { DeleteChannelCommandInput, DeleteChannelCommandOutput } from "../commands/DeleteChannelCommand";
import { DeleteChannelFlowCommandInput, DeleteChannelFlowCommandOutput } from "../commands/DeleteChannelFlowCommand";
import { DeleteChannelMembershipCommandInput, DeleteChannelMembershipCommandOutput } from "../commands/DeleteChannelMembershipCommand";
import { DeleteChannelMessageCommandInput, DeleteChannelMessageCommandOutput } from "../commands/DeleteChannelMessageCommand";
import { DeleteChannelModeratorCommandInput, DeleteChannelModeratorCommandOutput } from "../commands/DeleteChannelModeratorCommand";
import { DeleteMessagingStreamingConfigurationsCommandInput, DeleteMessagingStreamingConfigurationsCommandOutput } from "../commands/DeleteMessagingStreamingConfigurationsCommand";
import { DescribeChannelBanCommandInput, DescribeChannelBanCommandOutput } from "../commands/DescribeChannelBanCommand";
import { DescribeChannelCommandInput, DescribeChannelCommandOutput } from "../commands/DescribeChannelCommand";
import { DescribeChannelFlowCommandInput, DescribeChannelFlowCommandOutput } from "../commands/DescribeChannelFlowCommand";
import { DescribeChannelMembershipCommandInput, DescribeChannelMembershipCommandOutput } from "../commands/DescribeChannelMembershipCommand";
import { DescribeChannelMembershipForAppInstanceUserCommandInput, DescribeChannelMembershipForAppInstanceUserCommandOutput } from "../commands/DescribeChannelMembershipForAppInstanceUserCommand";
import { DescribeChannelModeratedByAppInstanceUserCommandInput, DescribeChannelModeratedByAppInstanceUserCommandOutput } from "../commands/DescribeChannelModeratedByAppInstanceUserCommand";
import { DescribeChannelModeratorCommandInput, DescribeChannelModeratorCommandOutput } from "../commands/DescribeChannelModeratorCommand";
import { DisassociateChannelFlowCommandInput, DisassociateChannelFlowCommandOutput } from "../commands/DisassociateChannelFlowCommand";
import { GetChannelMembershipPreferencesCommandInput, GetChannelMembershipPreferencesCommandOutput } from "../commands/GetChannelMembershipPreferencesCommand";
import { GetChannelMessageCommandInput, GetChannelMessageCommandOutput } from "../commands/GetChannelMessageCommand";
import { GetChannelMessageStatusCommandInput, GetChannelMessageStatusCommandOutput } from "../commands/GetChannelMessageStatusCommand";
import { GetMessagingSessionEndpointCommandInput, GetMessagingSessionEndpointCommandOutput } from "../commands/GetMessagingSessionEndpointCommand";
import { GetMessagingStreamingConfigurationsCommandInput, GetMessagingStreamingConfigurationsCommandOutput } from "../commands/GetMessagingStreamingConfigurationsCommand";
import { ListChannelBansCommandInput, ListChannelBansCommandOutput } from "../commands/ListChannelBansCommand";
import { ListChannelFlowsCommandInput, ListChannelFlowsCommandOutput } from "../commands/ListChannelFlowsCommand";
import { ListChannelMembershipsCommandInput, ListChannelMembershipsCommandOutput } from "../commands/ListChannelMembershipsCommand";
import { ListChannelMembershipsForAppInstanceUserCommandInput, ListChannelMembershipsForAppInstanceUserCommandOutput } from "../commands/ListChannelMembershipsForAppInstanceUserCommand";
import { ListChannelMessagesCommandInput, ListChannelMessagesCommandOutput } from "../commands/ListChannelMessagesCommand";
import { ListChannelModeratorsCommandInput, ListChannelModeratorsCommandOutput } from "../commands/ListChannelModeratorsCommand";
import { ListChannelsAssociatedWithChannelFlowCommandInput, ListChannelsAssociatedWithChannelFlowCommandOutput } from "../commands/ListChannelsAssociatedWithChannelFlowCommand";
import { ListChannelsCommandInput, ListChannelsCommandOutput } from "../commands/ListChannelsCommand";
import { ListChannelsModeratedByAppInstanceUserCommandInput, ListChannelsModeratedByAppInstanceUserCommandOutput } from "../commands/ListChannelsModeratedByAppInstanceUserCommand";
import { ListSubChannelsCommandInput, ListSubChannelsCommandOutput } from "../commands/ListSubChannelsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PutChannelExpirationSettingsCommandInput, PutChannelExpirationSettingsCommandOutput } from "../commands/PutChannelExpirationSettingsCommand";
import { PutChannelMembershipPreferencesCommandInput, PutChannelMembershipPreferencesCommandOutput } from "../commands/PutChannelMembershipPreferencesCommand";
import { PutMessagingStreamingConfigurationsCommandInput, PutMessagingStreamingConfigurationsCommandOutput } from "../commands/PutMessagingStreamingConfigurationsCommand";
import { RedactChannelMessageCommandInput, RedactChannelMessageCommandOutput } from "../commands/RedactChannelMessageCommand";
import { SearchChannelsCommandInput, SearchChannelsCommandOutput } from "../commands/SearchChannelsCommand";
import { SendChannelMessageCommandInput, SendChannelMessageCommandOutput } from "../commands/SendChannelMessageCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateChannelCommandInput, UpdateChannelCommandOutput } from "../commands/UpdateChannelCommand";
import { UpdateChannelFlowCommandInput, UpdateChannelFlowCommandOutput } from "../commands/UpdateChannelFlowCommand";
import { UpdateChannelMessageCommandInput, UpdateChannelMessageCommandOutput } from "../commands/UpdateChannelMessageCommand";
import { UpdateChannelReadMarkerCommandInput, UpdateChannelReadMarkerCommandOutput } from "../commands/UpdateChannelReadMarkerCommand";
export declare const serializeAws_restJson1AssociateChannelFlowCommand: (input: AssociateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1BatchCreateChannelMembershipCommand: (input: BatchCreateChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ChannelFlowCallbackCommand: (input: ChannelFlowCallbackCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateChannelCommand: (input: CreateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateChannelBanCommand: (input: CreateChannelBanCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateChannelFlowCommand: (input: CreateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateChannelMembershipCommand: (input: CreateChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateChannelModeratorCommand: (input: CreateChannelModeratorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteChannelCommand: (input: DeleteChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteChannelBanCommand: (input: DeleteChannelBanCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteChannelFlowCommand: (input: DeleteChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteChannelMembershipCommand: (input: DeleteChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteChannelMessageCommand: (input: DeleteChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteChannelModeratorCommand: (input: DeleteChannelModeratorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteMessagingStreamingConfigurationsCommand: (input: DeleteMessagingStreamingConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeChannelCommand: (input: DescribeChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeChannelBanCommand: (input: DescribeChannelBanCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeChannelFlowCommand: (input: DescribeChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeChannelMembershipCommand: (input: DescribeChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeChannelMembershipForAppInstanceUserCommand: (input: DescribeChannelMembershipForAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeChannelModeratedByAppInstanceUserCommand: (input: DescribeChannelModeratedByAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeChannelModeratorCommand: (input: DescribeChannelModeratorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DisassociateChannelFlowCommand: (input: DisassociateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetChannelMembershipPreferencesCommand: (input: GetChannelMembershipPreferencesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetChannelMessageCommand: (input: GetChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetChannelMessageStatusCommand: (input: GetChannelMessageStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetMessagingSessionEndpointCommand: (input: GetMessagingSessionEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetMessagingStreamingConfigurationsCommand: (input: GetMessagingStreamingConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelBansCommand: (input: ListChannelBansCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelFlowsCommand: (input: ListChannelFlowsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelMembershipsCommand: (input: ListChannelMembershipsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelMembershipsForAppInstanceUserCommand: (input: ListChannelMembershipsForAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelMessagesCommand: (input: ListChannelMessagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelModeratorsCommand: (input: ListChannelModeratorsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelsCommand: (input: ListChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelsAssociatedWithChannelFlowCommand: (input: ListChannelsAssociatedWithChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListChannelsModeratedByAppInstanceUserCommand: (input: ListChannelsModeratedByAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListSubChannelsCommand: (input: ListSubChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1PutChannelExpirationSettingsCommand: (input: PutChannelExpirationSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1PutChannelMembershipPreferencesCommand: (input: PutChannelMembershipPreferencesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1PutMessagingStreamingConfigurationsCommand: (input: PutMessagingStreamingConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1RedactChannelMessageCommand: (input: RedactChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1SearchChannelsCommand: (input: SearchChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1SendChannelMessageCommand: (input: SendChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateChannelCommand: (input: UpdateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateChannelFlowCommand: (input: UpdateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateChannelMessageCommand: (input: UpdateChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateChannelReadMarkerCommand: (input: UpdateChannelReadMarkerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_restJson1AssociateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateChannelFlowCommandOutput>;
export declare const deserializeAws_restJson1BatchCreateChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchCreateChannelMembershipCommandOutput>;
export declare const deserializeAws_restJson1ChannelFlowCallbackCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ChannelFlowCallbackCommandOutput>;
export declare const deserializeAws_restJson1CreateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelCommandOutput>;
export declare const deserializeAws_restJson1CreateChannelBanCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelBanCommandOutput>;
export declare const deserializeAws_restJson1CreateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelFlowCommandOutput>;
export declare const deserializeAws_restJson1CreateChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelMembershipCommandOutput>;
export declare const deserializeAws_restJson1CreateChannelModeratorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelModeratorCommandOutput>;
export declare const deserializeAws_restJson1DeleteChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelCommandOutput>;
export declare const deserializeAws_restJson1DeleteChannelBanCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelBanCommandOutput>;
export declare const deserializeAws_restJson1DeleteChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelFlowCommandOutput>;
export declare const deserializeAws_restJson1DeleteChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelMembershipCommandOutput>;
export declare const deserializeAws_restJson1DeleteChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelMessageCommandOutput>;
export declare const deserializeAws_restJson1DeleteChannelModeratorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelModeratorCommandOutput>;
export declare const deserializeAws_restJson1DeleteMessagingStreamingConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMessagingStreamingConfigurationsCommandOutput>;
export declare const deserializeAws_restJson1DescribeChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelCommandOutput>;
export declare const deserializeAws_restJson1DescribeChannelBanCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelBanCommandOutput>;
export declare const deserializeAws_restJson1DescribeChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelFlowCommandOutput>;
export declare const deserializeAws_restJson1DescribeChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelMembershipCommandOutput>;
export declare const deserializeAws_restJson1DescribeChannelMembershipForAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelMembershipForAppInstanceUserCommandOutput>;
export declare const deserializeAws_restJson1DescribeChannelModeratedByAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelModeratedByAppInstanceUserCommandOutput>;
export declare const deserializeAws_restJson1DescribeChannelModeratorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelModeratorCommandOutput>;
export declare const deserializeAws_restJson1DisassociateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateChannelFlowCommandOutput>;
export declare const deserializeAws_restJson1GetChannelMembershipPreferencesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelMembershipPreferencesCommandOutput>;
export declare const deserializeAws_restJson1GetChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelMessageCommandOutput>;
export declare const deserializeAws_restJson1GetChannelMessageStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelMessageStatusCommandOutput>;
export declare const deserializeAws_restJson1GetMessagingSessionEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMessagingSessionEndpointCommandOutput>;
export declare const deserializeAws_restJson1GetMessagingStreamingConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMessagingStreamingConfigurationsCommandOutput>;
export declare const deserializeAws_restJson1ListChannelBansCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelBansCommandOutput>;
export declare const deserializeAws_restJson1ListChannelFlowsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelFlowsCommandOutput>;
export declare const deserializeAws_restJson1ListChannelMembershipsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelMembershipsCommandOutput>;
export declare const deserializeAws_restJson1ListChannelMembershipsForAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelMembershipsForAppInstanceUserCommandOutput>;
export declare const deserializeAws_restJson1ListChannelMessagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelMessagesCommandOutput>;
export declare const deserializeAws_restJson1ListChannelModeratorsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelModeratorsCommandOutput>;
export declare const deserializeAws_restJson1ListChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsCommandOutput>;
export declare const deserializeAws_restJson1ListChannelsAssociatedWithChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsAssociatedWithChannelFlowCommandOutput>;
export declare const deserializeAws_restJson1ListChannelsModeratedByAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsModeratedByAppInstanceUserCommandOutput>;
export declare const deserializeAws_restJson1ListSubChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSubChannelsCommandOutput>;
export declare const deserializeAws_restJson1ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_restJson1PutChannelExpirationSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutChannelExpirationSettingsCommandOutput>;
export declare const deserializeAws_restJson1PutChannelMembershipPreferencesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutChannelMembershipPreferencesCommandOutput>;
export declare const deserializeAws_restJson1PutMessagingStreamingConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutMessagingStreamingConfigurationsCommandOutput>;
export declare const deserializeAws_restJson1RedactChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RedactChannelMessageCommandOutput>;
export declare const deserializeAws_restJson1SearchChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchChannelsCommandOutput>;
export declare const deserializeAws_restJson1SendChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SendChannelMessageCommandOutput>;
export declare const deserializeAws_restJson1TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_restJson1UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_restJson1UpdateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelCommandOutput>;
export declare const deserializeAws_restJson1UpdateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelFlowCommandOutput>;
export declare const deserializeAws_restJson1UpdateChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelMessageCommandOutput>;
export declare const deserializeAws_restJson1UpdateChannelReadMarkerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelReadMarkerCommandOutput>;
